> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/callevent.md).

# CallEvent

Represents a phone call event during a transport.

## CallEvent API

### `getEndTime()`

> ```java
> DateTime getEndTime()
> ```
>
> Returns the end date and time of occurrence of the event.

### `getHandsFreeState()`

> ```java
> HandsFreeState getHandsFreeState()
> ```
>
> Returns the hands-free state of the call. See [HandsFreeState](/important-topics/sdk/api-reference/android/driving-insights/callevent/handsfreestate.md).

### `getMaxTraveledSpeedInMps()`

> ```java
> @Nullable Float getMaxTraveledSpeedInMps()
> ```
>
> Returns the maximum speed traveled during the call, in meters per second.

### `getMinTraveledSpeedInMps()`

> ```java
> @Nullable Float getMinTraveledSpeedInMps()
> ```
>
> Returns the minimum speed traveled during the call, in meters per second.

### `getStartTime()`

> ```java
> DateTime getStartTime()
> ```
>
> Returns the start date and time of occurrence of the event.

### `getWaypoints()`

> ```java
> List<Waypoint> getWaypoints()
> ```
>
> Returns a list of transport waypoints that indicate the segment of the transport where the event occurred.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/callevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
